<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Coming+Soon&display=swap" rel="stylesheet">
    {% block css %} {% endblock %}
    <link rel="stylesheet" href= '../static/style.css'/>
    <title>
        {% block title %} Base {% endblock %}
    </title>
    <link rel="icon" href="../static/images/logo.svg" type="image/svg">
</head>

<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbar">
        <div class="navbar-nav">
            {% if user.is_authenticated %}
            <a class="nav-item nav-link" id="home" href="/">Home</a>
            <a class="nav-item nav-link" id="choose_place" href="/choose_place">Choose Place</a>
            <a class="nav-item nav-link" id="logout" href="/logout">Logout</a>
            {% else %}
            <a class="nav-item nav-link" id="login" href="/login">Login</a>
            <a class="nav-item nav-link" id="sign_up" href="/sign-up">Sign up</a>
            {% endif %}

        </div>
    </div>
</nav>

{% with messages = get_flashed_messages(with_categories=true) %}
{% if messages %}
{% for category, message in messages%}
{% if category == 'error' %}
<div class="alert alert-danger alert-dismissable fade show" role="alert">
    {{message}}
    <button type="button" class="close" data-dismiss="alert">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
{% else %}
<div class="alert alert-success alert-dismissable fade show" role="alert">
    {{message}}
    <button type="button" class="close" data-dismiss="alert">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
{% endif %}
{% endfor %}
{% endif %}
{% endwith %}

{% block yoyo %} {% endblock %}

<div class="container_">
    {%block content%} <h1>This is base</h1>{%endblock%}
</div>

<!--
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.6.0/dist/umd/popper.min.js" integrity="sha384-KsvD1yqQ1/1+IA7gi3P0tyJcT3vR+NdBTt13hSJ2lnve8agRGXTTyNaBYmCR/Nwi" crossorigin="anonymous"></script>
-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.min.js" integrity="sha384-nsg8ua9HAw1y0W1btsyWgBklPnCUAFLuTMS2G72MMONqmOymq585AcH49TLBQObG" crossorigin="anonymous"></script>
<script type="text/javascript" src="{{url_for('static', filename='map.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='coordinate.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='update_selection.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='get_airports.js')}}"></script>
<script src="https://kit.fontawesome.com/a076d05399.js"></script>
</body>

</html>